package jess;
import java.util.*;
import java.io.*;


/** **********************************************************************
 * An accelerator generates Java versions of rule LHSs, compiles them and returns
 * new Test objects to execute them.
 * <P>
 * (C) 1997 Ernest J. Friedman-Hill and Sandia National Laboratories
 * @author Ernest J. Friedman-Hill
 ********************************************************************** */

public interface Accelerator
{

  /**
   * Given the function call, return a Test object.
   * @param f A function call to translate
   * @return A jess.Test object that performs equivalently to the Funcall.
   */

  Test speedup(Funcall f) throws JessException;

}











